# ChangeLog for www-client/chromium
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.411 2011/08/07 15:19:55 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.412 2011/08/08 17:34:54 phajdan.jr Exp $
+
+ 08 Aug 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
+ -chromium-12.0.742.112.ebuild, -chromium-13.0.782.107.ebuild,
+ chromium-13.0.782.107-r1.ebuild, chromium-13.0.782.109.ebuild,
+ chromium-14.0.835.15.ebuild, chromium-14.0.835.18.ebuild,
+ chromium-9999-r1.ebuild:
+ Depend on libgcrypt with USE=cups, bug #377903 by Nils Larsson. Remove old.
07 Aug 2011; Markus Meier <maekke@gentoo.org> chromium-13.0.782.107.ebuild:
x86 stable, bug #377475
-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
+Hash: SHA512
AUX chromium-browser.xml 407 RMD160 457374ff72561648d9777ffb3270ad10d864a6be SHA1 65543bfff7d0350d40ba258e61061b0c5579e1f2 SHA256 bc039012f8677468e9ce5df825f9d8096be6deb5813031c86a087c88105096ff
AUX chromium-cups-r0.patch 1237 RMD160 601fc9a46027580a1817a77abfb47b2b59e212ca SHA1 9826e90746229c7c12d767bb3b6cbdbc5c300041 SHA256 594af80456d977a19949909a7c79cae706964f7ced47634c9c9b19478dc089a2
AUX chromium.default 147 RMD160 4c0669585499b94c225e34e985e615d0299b66fb SHA1 1cdcbcd4a3517f70ba67c749da95c2a307971846 SHA256 de16d72d77ac9fe04f781df4f50dfb714ba33574755932df950c1d9472b589d9
AUX chromium.xml 407 RMD160 457374ff72561648d9777ffb3270ad10d864a6be SHA1 65543bfff7d0350d40ba258e61061b0c5579e1f2 SHA256 bc039012f8677468e9ce5df825f9d8096be6deb5813031c86a087c88105096ff
AUX dot-gclient 253 RMD160 a768770d8e6f5b73395451277beea1cc9240fc3a SHA1 3eaf2074da58cfe4f2af3d08f59b27a16fe13dad SHA256 8c5750251ff681044cc584ef3768fe39c56c7877ade5fb9107298734126e62cf
-DIST chromium-12.0.742.112.tar.bz2 151384207 RMD160 13d9092d79a324852b60e42979218f989000cad1 SHA1 181be3b00386d70e7cc8db88c4e782960a8d4e30 SHA256 b19ea97a7def45c9052ead5ad9f171a3ea1df29c17a5d237e0b78bdfdcefdfb2
DIST chromium-13.0.782.107.tar.bz2 155319932 RMD160 30b592cb0db7128673682eb9d5bb0bc9bc4b83e8 SHA1 e4b6f33799dc92ea9145afa099d74cfe8f0de481 SHA256 4dcccc29d4da6eb154c2d419ff8637ee190203e15cc85051294f06ac3db9fa04
DIST chromium-13.0.782.109.tar.bz2 155320890 RMD160 4a42afd1eb7a9f97c4d8207fdf4e2b96b632d8f4 SHA1 2e5df16b074501c851524f2b9c1fa25705740fe4 SHA256 9e0292c5d94eac534fc5078c92547a4f8c0c59e5a8474ea7a39000515c347971
DIST chromium-14.0.835.15.tar.bz2 160030122 RMD160 580b75168420a837c3b03dd6c02bad4d7514583b SHA1 bdc6da9bc3327b61d18e65c940630976adb51d78 SHA256 bb2ddc904474c37ed9d033c000c3f6fc9a80442dbd464aef9b4a5647a0e817c5
DIST chromium-14.0.835.18.tar.bz2 160339983 RMD160 e035aaf88dc8e096f7f525f40d8a6b261c6d6d55 SHA1 5f122977a5efe457909c5a70bd3522f6c4b35a01 SHA256 a020f02dbdc4d8e0eb97285078a32f25ac0c4d4eaa0ea4227e3cbe7dfd5316e0
-EBUILD chromium-12.0.742.112.ebuild 12047 RMD160 ab3c47a41ff2d69f7d53eab715c9151ed848ea1d SHA1 37012697cc4a0f29558614ebd5aadf476781ee37 SHA256 ebf99c4485e6e19eeeca8fcfefe5de7864497c1d6a3d4fb6c40076bfa9beee33
-EBUILD chromium-13.0.782.107-r1.ebuild 13212 RMD160 489bfd4bfc552a5df0f8026a97f4412543a635b2 SHA1 ab1d0d9fdda75b3ec91edb88573664d6983ec15e SHA256 145464570bc15e0ac962b625d84324738d44af5bdc4437ee2b28e7cb5266166c
-EBUILD chromium-13.0.782.107.ebuild 13202 RMD160 ec053acc2e12afff796e6eebc6761a9d6903360b SHA1 9f64dbf1de058c0d520d12f03976df16d87393b4 SHA256 0d1d015b7c84bd1538105ce54e03ad09ebb827c4a32e7bd837d50eb5c8748f90
-EBUILD chromium-13.0.782.109.ebuild 13210 RMD160 78efa41ab0bc8ea9adb199993bce1fd6547b52ce SHA1 1047105b295d04fa6d24a439c7d0a7fb55982db1 SHA256 52a93acdabc063b90d19c166ef07397c21356d4762435875bfa14d50fe33d6ae
-EBUILD chromium-14.0.835.15.ebuild 13068 RMD160 70608b666a9b7bd78df5ebd2fae84039b434fe89 SHA1 985869a16c914c29493fbf46b8abb1656dafd21d SHA256 08ad00084e6e036393cb8a72b37d0b567a791227dd44d4f88db4d805e5fa39d7
-EBUILD chromium-14.0.835.18.ebuild 13068 RMD160 fb42c4db6d658ddf1f58648ab1e89af829eff4e5 SHA1 a662291cb20f2c42529bce4f3350ef022bb48d3c SHA256 e54d7f5db17e435931b1369cd6dcc0bdf778e8aa4a41360dabb3d41cee61750d
-EBUILD chromium-9999-r1.ebuild 14995 RMD160 9299839ad84cf7660c67d6603e34b5701deacc9d SHA1 5df500c71fde454100ed7ca3c6e87ed6a5b89f55 SHA256 e4a607c50b9a1dd23ebd4e52c69e87faa614e87f76b7dbb993a6d643c83af734
-MISC ChangeLog 91621 RMD160 db815fddda367837f43d1adde6594d607e0319b6 SHA1 4a43056a02e5d4c99d36d21e9c0c460d0ff38f18 SHA256 5b5405a031c23eec16206d4b9654f8ee16f4b9c76ea615e4687d8a1da0ab1d3c
+EBUILD chromium-13.0.782.107-r1.ebuild 13235 RMD160 92dbb1072d895be684ddc9f897d28484f989f99b SHA1 cdd2bfc1f332e9e4045b81360d9717c001bbd039 SHA256 9d4e3990b7255cd132c67cbd7a90e1974b61c4cd89cc5eb029d4c958f7485255
+EBUILD chromium-13.0.782.109.ebuild 13234 RMD160 0689b5bcb2956f6c0d9fac7ef6f39f4f4cb34e26 SHA1 3c29ff64a9a162ecd9e9aa6bbe09ec157d93a896 SHA256 162cf3f21d077022ada5c1e3c0f9bbd365aa214ebfa98da636590b3a3edff80c
+EBUILD chromium-14.0.835.15.ebuild 13092 RMD160 f4d4549989399b919fa0112e88b93a53e7c01390 SHA1 7d30455f4fe1659a880787b8f9a5e5be3b64c97b SHA256 200e5716ad401c8559055acb9e59c34906a582077b0f9e64ef4ea5f1af6028c5
+EBUILD chromium-14.0.835.18.ebuild 13092 RMD160 656702b7e1c27b0ff0bc6b213aa463323a5f3259 SHA1 14f9ecb2f6a7a633b235f8d09301fcfdd8306ff8 SHA256 757ff762c3a2dffa18585ce6e0fe9925752524bd3aee20bd399cdc50d8559823
+EBUILD chromium-9999-r1.ebuild 15019 RMD160 028632adfffb3342e26793cb52dc9f6f08ff67b4 SHA1 b3d3f0de6e0645efc6745cda4e718d1c2a1096be SHA256 ab5fd16cec395400fb4c8fcc12c46fd3b554ee22da9f7dd131696478c6f82dd8
+MISC ChangeLog 91975 RMD160 da55862847aa9f560282185a5546455e7b757327 SHA1 675ee3b93ccb7a8e4b9641ac15628cf9db59c0f9 SHA256 12e3303de4ae4a929c0f34cd8be938f5327d5db4daefa73be2485978069a2460
MISC metadata.xml 267 RMD160 3a166415fec415d539c1b7c32ed40b188488b9fb SHA1 5c3d71a9cea27175cbe8c98369b42b79c8643c6c SHA256 4e6afae33f60d6752cacf2785f7f9a396b8711cce605b73d0d752a4af7d01fc8
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)
-iEYEARECAAYFAk4+rUUACgkQkKaRLQcq0GKj2QCeJtdPglEvWptfBUnc/M6NuF+K
-gqQAnicuCDDjX/FiLKOIWR9k5YMt5prC
-=Hlgm
+iEYEAREKAAYFAk5AHk0ACgkQuUQtlDBCeQK0YACeM1udTPmBkt+Y+y6JSDFrUjjZ
+4s8An3bm06PiYK6IWSv4AkNlycEakgpx
+=0vym
-----END PGP SIGNATURE-----
+++ /dev/null
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-12.0.742.112.ebuild,v 1.4 2011/07/18 17:12:11 phajdan.jr Exp $
-
-EAPI="3"
-PYTHON_DEPEND="2:2.6"
-
-inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
- pax-utils portability python toolchain-funcs versionator virtualx
-
-DESCRIPTION="Open-source version of Google Chrome web browser"
-HOMEPAGE="http://chromium.org/"
-SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="cups gnome gnome-keyring kerberos xinerama"
-
-RDEPEND="app-arch/bzip2
- dev-libs/dbus-glib
- >=dev-libs/icu-4.4.1
- >=dev-libs/libevent-1.4.13
- dev-libs/libxml2[icu]
- dev-libs/libxslt
- >=dev-libs/nss-3.12.3
- gnome? ( >=gnome-base/gconf-2.24.0 )
- gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
- >=media-libs/alsa-lib-1.0.19
- media-libs/flac
- virtual/jpeg
- media-libs/libpng
- >=media-libs/libvpx-0.9.5
- >=media-libs/libwebp-0.1.2
- media-libs/speex
- cups? ( >=net-print/cups-1.3.11 )
- sys-libs/pam
- sys-libs/zlib
- x11-libs/gtk+:2
- x11-libs/libXScrnSaver
- x11-libs/libXtst"
-DEPEND="${RDEPEND}
- dev-lang/perl
- dev-lang/yasm
- >=dev-util/gperf-3.0.3
- >=dev-util/pkgconfig-0.23
- >=sys-devel/bison-2.4.3
- sys-devel/flex
- >=sys-devel/make-3.81-r2
- x11-libs/libXinerama
- test? (
- dev-python/pyftpdlib
- dev-python/simplejson
- virtual/krb5
- )"
-RDEPEND+="
- kerberos? ( virtual/krb5 )
- xinerama? ( x11-libs/libXinerama )
- x11-misc/xdg-utils
- virtual/ttf-fonts"
-
-gyp_use() {
- if [[ $# -lt 2 ]]; then
- echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
- return 1
- fi
- if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
-}
-
-egyp() {
- set -- build/gyp_chromium --depth=. "${@}"
- echo "${@}" >&2
- "${@}"
-}
-
-pkg_setup() {
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser"
-
- # Make sure the build system will use the right tools, bug #340795.
- tc-export AR CC CXX RANLIB
-
- # Make sure the build system will use the right python, bug #344367.
- python_set_active_version 2
- python_pkg_setup
-
- # Prevent user problems like bug #299777.
- if ! grep -q /dev/shm <<< $(get_mounts); then
- ewarn "You don't have tmpfs mounted at /dev/shm."
- ewarn "${PN} may fail to start in that configuration."
- ewarn "Please uncomment the /dev/shm entry in /etc/fstab,"
- ewarn "and run 'mount /dev/shm'."
- fi
- if [ `stat -c %a /dev/shm` -ne 1777 ]; then
- ewarn "/dev/shm does not have correct permissions."
- ewarn "${PN} may fail to start in that configuration."
- ewarn "Please run 'chmod 1777 /dev/shm'."
- fi
-
- # Prevent user problems like bug #348235.
- eshopts_push -s extglob
- if is-flagq '-g?(gdb)?([1-9])'; then
- ewarn "You have enabled debug info (probably have -g or -ggdb in your \$C{,XX}FLAGS)."
- ewarn "You may experience really long compilation times and/or increased memory usage."
- ewarn "If compilation fails, please try removing -g{,gdb} before reporting a bug."
- fi
- eshopts_pop
-
- # Warn if the kernel doesn't support features useful for sandboxing,
- # bug #363907.
- CONFIG_CHECK="~PID_NS ~NET_NS"
- PID_NS_WARNING="PID (process id) namespaces are needed for sandboxing."
- NET_NS_WARNING="Network namespaces are needed for sandboxing."
- check_extra_config
-}
-
-src_prepare() {
- # Make sure we don't use bundled libvpx headers.
- epatch "${FILESDIR}/${PN}-system-vpx-r4.patch"
-
- # Fix compilation with system zlib, bug #364205. To be upstreamed.
- epatch "${FILESDIR}/${PN}-system-zlib-r0.patch"
-
- # Fix compilation without CUPS, bug #364525. To be upstreamed.
- epatch "${FILESDIR}/${PN}-cups-r0.patch"
-
- # Backport build fix for perl-5.14, bug #372301.
- epatch "${FILESDIR}/${PN}-perl-5.14-r0.patch"
-
- # Remove most bundled libraries. Some are still needed.
- find third_party -type f \! -iname '*.gyp*' \
- \! -path 'third_party/WebKit/*' \
- \! -path 'third_party/angle/*' \
- \! -path 'third_party/cacheinvalidation/*' \
- \! -path 'third_party/cld/*' \
- \! -path 'third_party/expat/*' \
- \! -path 'third_party/ffmpeg/*' \
- \! -path 'third_party/flac/flac.h' \
- \! -path 'third_party/gpsd/*' \
- \! -path 'third_party/harfbuzz/*' \
- \! -path 'third_party/hunspell/*' \
- \! -path 'third_party/iccjpeg/*' \
- \! -path 'third_party/launchpad_translations/*' \
- \! -path 'third_party/leveldb/*' \
- \! -path 'third_party/libjingle/*' \
- \! -path 'third_party/libsrtp/*' \
- \! -path 'third_party/libvpx/libvpx.h' \
- \! -path 'third_party/mesa/*' \
- \! -path 'third_party/modp_b64/*' \
- \! -path 'third_party/npapi/*' \
- \! -path 'third_party/openmax/*' \
- \! -path 'third_party/ots/*' \
- \! -path 'third_party/protobuf/*' \
- \! -path 'third_party/skia/*' \
- \! -path 'third_party/speex/speex.h' \
- \! -path 'third_party/sqlite/*' \
- \! -path 'third_party/tcmalloc/*' \
- \! -path 'third_party/tlslite/*' \
- \! -path 'third_party/undoview/*' \
- \! -path 'third_party/zlib/contrib/minizip/*' \
- -delete || die
-
- # Make sure the build system will use the right python, bug #344367.
- # Only convert directories that need it, to save time.
- python_convert_shebangs -q -r 2 build tools
-}
-
-src_configure() {
- local myconf=""
-
- # Never tell the build system to "enable" SSE2, it has a few unexpected
- # additions, bug #336871.
- myconf+=" -Ddisable_sse2=1"
-
- # Use system-provided libraries.
- # TODO: use_system_ffmpeg (bug #71931). That makes yasm unneeded.
- # TODO: use_system_hunspell (upstream changes needed).
- # TODO: use_system_ssl (http://crbug.com/58087).
- # TODO: use_system_sqlite (http://crbug.com/22208).
- myconf+="
- -Duse_system_bzip2=1
- -Duse_system_flac=1
- -Duse_system_icu=1
- -Duse_system_libevent=1
- -Duse_system_libjpeg=1
- -Duse_system_libpng=1
- -Duse_system_libwebp=1
- -Duse_system_libxml=1
- -Duse_system_speex=1
- -Duse_system_vpx=1
- -Duse_system_xdg_utils=1
- -Duse_system_yasm=1
- -Duse_system_zlib=1"
-
- # Optional dependencies.
- myconf+="
- $(gyp_use cups use_cups)
- $(gyp_use gnome use_gconf)
- $(gyp_use gnome-keyring use_gnome_keyring)
- $(gyp_use gnome-keyring linux_link_gnome_keyring)"
-
- # Enable sandbox.
- myconf+="
- -Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
- -Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
-
- if host-is-pax; then
- # Prevent the build from failing (bug #301880). The performance
- # difference is very small.
- myconf+=" -Dv8_use_snapshot=0"
- fi
-
- # Our system ffmpeg should support more codecs than the bundled one
- # for Chromium.
- # TODO: uncomment when bug #371931 is fixed.
- # myconf+=" -Dproprietary_codecs=1"
-
- # Use target arch detection logic from bug #354601.
- case ${CHOST} in
- i?86-*) myarch=x86 ;;
- x86_64-*)
- if [[ $ABI = "" ]] ; then
- myarch=amd64
- else
- myarch="$ABI"
- fi ;;
- arm*-*) myarch=arm ;;
- *) die "Unrecognized CHOST: ${CHOST}"
- esac
-
- if [[ $myarch = amd64 ]] ; then
- myconf+=" -Dtarget_arch=x64"
- elif [[ $myarch = x86 ]] ; then
- myconf+=" -Dtarget_arch=ia32"
- elif [[ $myarch = arm ]] ; then
- # TODO: check this again after
- # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
- append-flags -fno-tree-sink
-
- myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
- else
- die "Failed to determine target arch, got '$myarch'."
- fi
-
- # Make sure that -Werror doesn't get added to CFLAGS by the build system.
- # Depending on GCC version the warnings are different and we don't want
- # the build to fail because of that.
- myconf+=" -Dwerror="
-
- # Avoid a build error with -Os, bug #352457.
- replace-flags "-Os" "-O2"
-
- egyp ${myconf} || die
-}
-
-src_compile() {
- emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
- pax-mark m out/Release/chrome
- if use test; then
- emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
- pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
- fi
-}
-
-src_test() {
- # For more info see bug #350349.
- local mylocale='en_US.utf8'
- if ! locale -a | grep -q "$mylocale"; then
- eerror "${PN} requires ${mylocale} locale for tests"
- eerror "Please read the following guides for more information:"
- eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
- eerror " http://www.gentoo.org/doc/en/utf-8.xml"
- die "locale ${mylocale} is not supported"
- fi
-
- # For more info see bug #370957.
- if [[ $UID -eq 0 ]]; then
- die "Tests must be run as non-root. Please use FEATURES=userpriv."
- fi
-
- # For more info see bug #350347.
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
- '--gtest_filter=-ICUStringConversionsTest.*'
-
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
-
- # NetUtilTest: bug #361885.
- # UDP: unstable, active development. We should revisit this later.
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
- '--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*UDP*'
-}
-
-src_install() {
- exeinto "${CHROMIUM_HOME}"
- doexe out/Release/chrome
- doexe out/Release/chrome_sandbox || die
- fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
- newexe "${FILESDIR}"/chromium-launcher-r1.sh chromium-launcher.sh || die
-
- # It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser || die
- # keep the old symlink around for consistency
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium || die
-
- insinto "${CHROMIUM_HOME}"
- doins out/Release/chrome.pak || die
- doins out/Release/resources.pak || die
-
- doins -r out/Release/locales || die
- doins -r out/Release/resources || die
-
- newman out/Release/chrome.1 chromium.1 || die
- newman out/Release/chrome.1 chromium-browser.1 || die
-
- # Chromium looks for these in its folder
- # See media_posix.cc and base_paths_linux.cc
- # TODO: uncomment when bug #371931 is fixed.
- #dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
- #dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
- #dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
- doexe out/Release/ffmpegsumo_nolink || die
- doexe out/Release/libffmpegsumo.so || die
-
- # Install icons and desktop entry.
- for SIZE in 16 22 24 32 48 64 128 256 ; do
- insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
- newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
- chromium-browser.png || die
- done
- local mime_types="text/html;text/xml;application/xhtml+xml;"
- mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
- make_desktop_entry chromium-browser "Chromium" chromium-browser \
- "Network;WebBrowser" "MimeType=${mime_types}"
- sed -e "/^Exec/s/$/ %U/" -i "${D}"/usr/share/applications/*.desktop || die
-
- # Install GNOME default application entry (bug #303100).
- if use gnome; then
- dodir /usr/share/gnome-control-center/default-apps || die
- insinto /usr/share/gnome-control-center/default-apps
- doins "${FILESDIR}"/chromium-browser.xml || die
- fi
-}
-
-pkg_preinst() {
- gnome2_icon_savelist
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- gnome2_icon_cache_update
-
- # For more info see bug #292201, bug #352263, bug #361859.
- elog
- elog "Depending on your desktop environment, you may need"
- elog "to install additional packages to get icons on the Downloads page."
- elog
- elog "For KDE, the required package is kde-base/oxygen-icons."
- elog
- elog "For other desktop environments, try one of the following:"
- elog " - x11-themes/gnome-icon-theme"
- elog " - x11-themes/tango-icon-theme"
-
- # For more info see bug #359153.
- elog
- elog "Some web pages may require additional fonts to display properly."
- elog "Try installing some of the following packages if some characters"
- elog "are not displayed properly:"
- elog " - media-fonts/arphicfonts"
- elog " - media-fonts/bitstream-cyberbit"
- elog " - media-fonts/droid"
- elog " - media-fonts/ipamonafont"
- elog " - media-fonts/ja-ipafonts"
- elog " - media-fonts/takao-fonts"
- elog " - media-fonts/wqy-microhei"
- elog " - media-fonts/wqy-zenhei"
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
-}
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.107-r1.ebuild,v 1.1 2011/08/05 21:10:59 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.107-r1.ebuild,v 1.2 2011/08/08 17:34:54 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
IUSE="cups gnome gnome-keyring kerberos xinerama"
# en_US is ommitted on purpose from the list below. It must always be available.
>=media-libs/libvpx-0.9.5
>=media-libs/libwebp-0.1.2
media-libs/speex
- cups? ( >=net-print/cups-1.3.11 )
+ cups? (
+ dev-libs/libgcrypt
+ >=net-print/cups-1.3.11
+ )
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXScrnSaver
+++ /dev/null
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.107.ebuild,v 1.3 2011/08/07 15:19:55 maekke Exp $
-
-EAPI="3"
-PYTHON_DEPEND="2:2.6"
-
-inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
- pax-utils portability python toolchain-funcs versionator virtualx
-
-DESCRIPTION="Open-source version of Google Chrome web browser"
-HOMEPAGE="http://chromium.org/"
-SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="cups gnome gnome-keyring kerberos xinerama"
-
-# en_US is ommitted on purpose from the list below. It must always be available.
-LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
-hu id it ja kn ko lt lv ml mr nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th
-tr uk vi zh_CN zh_TW"
-for lang in ${LANGS}; do
- IUSE+=" linguas_${lang}"
-done
-
-RDEPEND="app-arch/bzip2
- dev-libs/dbus-glib
- >=dev-libs/icu-4.4.1
- >=dev-libs/libevent-1.4.13
- dev-libs/libxml2[icu]
- dev-libs/libxslt
- >=dev-libs/nss-3.12.3
- gnome? ( >=gnome-base/gconf-2.24.0 )
- gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
- >=media-libs/alsa-lib-1.0.19
- media-libs/flac
- virtual/jpeg
- media-libs/libpng
- >=media-libs/libvpx-0.9.5
- >=media-libs/libwebp-0.1.2
- media-libs/speex
- cups? ( >=net-print/cups-1.3.11 )
- sys-libs/zlib
- x11-libs/gtk+:2
- x11-libs/libXScrnSaver
- x11-libs/libXtst"
-DEPEND="${RDEPEND}
- dev-lang/perl
- dev-lang/yasm
- >=dev-util/gperf-3.0.3
- >=dev-util/pkgconfig-0.23
- >=sys-devel/bison-2.4.3
- sys-devel/flex
- >=sys-devel/make-3.81-r2
- x11-libs/libXinerama
- test? (
- dev-python/pyftpdlib
- dev-python/simplejson
- virtual/krb5
- )"
-RDEPEND+="
- kerberos? ( virtual/krb5 )
- xinerama? ( x11-libs/libXinerama )
- x11-misc/xdg-utils
- virtual/ttf-fonts"
-
-gyp_use() {
- if [[ $# -lt 2 ]]; then
- echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
- return 1
- fi
- if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
-}
-
-egyp() {
- set -- build/gyp_chromium --depth=. "${@}"
- echo "${@}" >&2
- "${@}"
-}
-
-# Chromium uses different names for some langs,
-# return Chromium name corresponding to a Gentoo lang.
-chromium_lang() {
- if [[ "$1" == "es_LA" ]]; then
- echo "es_419"
- else
- echo "$1"
- fi
-}
-
-pkg_setup() {
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser"
-
- # Make sure the build system will use the right tools, bug #340795.
- tc-export AR CC CXX RANLIB
-
- # Make sure the build system will use the right python, bug #344367.
- python_set_active_version 2
- python_pkg_setup
-
- # Prevent user problems like bug #348235.
- eshopts_push -s extglob
- if is-flagq '-g?(gdb)?([1-9])'; then
- ewarn "You have enabled debug info (probably have -g or -ggdb in your \$C{,XX}FLAGS)."
- ewarn "You may experience really long compilation times and/or increased memory usage."
- ewarn "If compilation fails, please try removing -g{,gdb} before reporting a bug."
- fi
- eshopts_pop
-
- # Warn if the kernel doesn't support features useful for sandboxing,
- # bug #363907.
- CONFIG_CHECK="~PID_NS ~NET_NS"
- check_extra_config
-}
-
-src_prepare() {
- # Make sure we don't use bundled libvpx headers.
- epatch "${FILESDIR}/${PN}-system-vpx-r4.patch"
-
- # Backport build fix for perl-5.14, bug #372301.
- epatch "${FILESDIR}/${PN}-perl-5.14-r0.patch"
-
- # Backport build fix for glibc-2.14, bug #372495.
- epatch "${FILESDIR}/${PN}-glibc-2.14-r0.patch"
-
- # Fix build without libgcrypt, bug #373079.
- epatch "${FILESDIR}/${PN}-libgcrypt-r0.patch"
-
- # Remove most bundled libraries. Some are still needed.
- find third_party -type f \! -iname '*.gyp*' \
- \! -path 'third_party/WebKit/*' \
- \! -path 'third_party/angle/*' \
- \! -path 'third_party/cacheinvalidation/*' \
- \! -path 'third_party/cld/*' \
- \! -path 'third_party/expat/*' \
- \! -path 'third_party/ffmpeg/*' \
- \! -path 'third_party/flac/flac.h' \
- \! -path 'third_party/gpsd/*' \
- \! -path 'third_party/harfbuzz/*' \
- \! -path 'third_party/hunspell/*' \
- \! -path 'third_party/iccjpeg/*' \
- \! -path 'third_party/launchpad_translations/*' \
- \! -path 'third_party/leveldb/*' \
- \! -path 'third_party/libjingle/*' \
- \! -path 'third_party/libphonenumber/*' \
- \! -path 'third_party/libvpx/libvpx.h' \
- \! -path 'third_party/mesa/*' \
- \! -path 'third_party/modp_b64/*' \
- \! -path 'third_party/npapi/*' \
- \! -path 'third_party/openmax/*' \
- \! -path 'third_party/ots/*' \
- \! -path 'third_party/protobuf/*' \
- \! -path 'third_party/skia/*' \
- \! -path 'third_party/speex/speex.h' \
- \! -path 'third_party/sqlite/*' \
- \! -path 'third_party/tcmalloc/*' \
- \! -path 'third_party/tlslite/*' \
- \! -path 'third_party/undoview/*' \
- \! -path 'third_party/zlib/contrib/minizip/*' \
- -delete || die
-
- # Make sure the build system will use the right python, bug #344367.
- # Only convert directories that need it, to save time.
- python_convert_shebangs -q -r 2 build tools
-}
-
-src_configure() {
- local myconf=""
-
- # Never tell the build system to "enable" SSE2, it has a few unexpected
- # additions, bug #336871.
- myconf+=" -Ddisable_sse2=1"
-
- # Use system-provided libraries.
- # TODO: use_system_ffmpeg (bug #71931). That makes yasm unneeded.
- # TODO: use_system_hunspell (upstream changes needed).
- # TODO: use_system_ssl (http://crbug.com/58087).
- # TODO: use_system_sqlite (http://crbug.com/22208).
- myconf+="
- -Duse_system_bzip2=1
- -Duse_system_flac=1
- -Duse_system_icu=1
- -Duse_system_libevent=1
- -Duse_system_libjpeg=1
- -Duse_system_libpng=1
- -Duse_system_libwebp=1
- -Duse_system_libxml=1
- -Duse_system_speex=1
- -Duse_system_vpx=1
- -Duse_system_xdg_utils=1
- -Duse_system_yasm=1
- -Duse_system_zlib=1"
-
- # Optional dependencies.
- myconf+="
- $(gyp_use cups use_cups)
- $(gyp_use gnome use_gconf)
- $(gyp_use gnome-keyring use_gnome_keyring)
- $(gyp_use gnome-keyring linux_link_gnome_keyring)"
-
- # Enable sandbox.
- myconf+="
- -Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
- -Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
-
- if host-is-pax; then
- # Prevent the build from failing (bug #301880). The performance
- # difference is very small.
- myconf+=" -Dv8_use_snapshot=0"
- fi
-
- # Our system ffmpeg should support more codecs than the bundled one
- # for Chromium.
- # TODO: uncomment when bug #371931 is fixed.
- # myconf+=" -Dproprietary_codecs=1"
-
- local myarch="$(tc-arch)"
- if [[ $myarch = amd64 ]] ; then
- myconf+=" -Dtarget_arch=x64"
- elif [[ $myarch = x86 ]] ; then
- myconf+=" -Dtarget_arch=ia32"
- elif [[ $myarch = arm ]] ; then
- # TODO: check this again after
- # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
- append-flags -fno-tree-sink
-
- myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
- else
- die "Failed to determine target arch, got '$myarch'."
- fi
-
- # Make sure that -Werror doesn't get added to CFLAGS by the build system.
- # Depending on GCC version the warnings are different and we don't want
- # the build to fail because of that.
- myconf+=" -Dwerror="
-
- # Avoid a build error with -Os, bug #352457.
- replace-flags "-Os" "-O2"
-
- egyp ${myconf} || die
-}
-
-src_compile() {
- emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
- pax-mark m out/Release/chrome
- if use test; then
- emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
- pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
- fi
-}
-
-src_test() {
- # For more info see bug #350349.
- local mylocale='en_US.utf8'
- if ! locale -a | grep -q "$mylocale"; then
- eerror "${PN} requires ${mylocale} locale for tests"
- eerror "Please read the following guides for more information:"
- eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
- eerror " http://www.gentoo.org/doc/en/utf-8.xml"
- die "locale ${mylocale} is not supported"
- fi
-
- # For more info see bug #370957.
- if [[ $UID -eq 0 ]]; then
- die "Tests must be run as non-root. Please use FEATURES=userpriv."
- fi
-
- # For more info see bug #350347.
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
- '--gtest_filter=-ICUStringConversionsTest.*'
-
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
-
- # NetUtilTest: bug #361885.
- # UDP: unstable, active development. We should revisit this later.
- LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
- '--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*UDP*'
-}
-
-src_install() {
- exeinto "${CHROMIUM_HOME}"
- doexe out/Release/chrome
- doexe out/Release/chrome_sandbox || die
- fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
-
- # Install Native Client files on platforms that support it.
- insinto "${CHROMIUM_HOME}"
- case "$(tc-arch)" in
- amd64)
- doins native_client/irt_binaries/nacl_irt_x86_64.nexe || die
- doins out/Release/libppGoogleNaClPluginChrome.so || die
- ;;
- x86)
- doins native_client/irt_binaries/nacl_irt_x86_32.nexe || die
- doins out/Release/libppGoogleNaClPluginChrome.so || die
- ;;
- esac
-
- newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
-
- # It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser || die
- # keep the old symlink around for consistency
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium || die
-
- # Allow users to override command-line options, bug #357629.
- dodir /etc/chromium || die
- insinto /etc/chromium
- newins "${FILESDIR}/chromium.default" "default" || die
-
- # Support LINGUAS, bug #332751.
- local pak
- for pak in out/Release/locales/*.pak; do
- local pakbasename="$(basename ${pak})"
- local pakname="${pakbasename%.pak}"
- local langname="${pakname//-/_}"
-
- # Do not issue warning for en_US locale. This is the fallback
- # locale so it should always be installed.
- if [[ "${langname}" == "en_US" ]]; then
- continue
- fi
-
- local found=false
- local lang
- for lang in ${LANGS}; do
- local crlang="$(chromium_lang ${lang})"
- if [[ "${langname}" == "${crlang}" ]]; then
- found=true
- break
- fi
- done
- if ! $found; then
- ewarn "LINGUAS warning: no ${langname} in LANGS"
- fi
- done
- local lang
- for lang in ${LANGS}; do
- local crlang="$(chromium_lang ${lang})"
- local pakfile="out/Release/locales/${crlang//_/-}.pak"
- if [ ! -f "${pakfile}" ]; then
- ewarn "LINGUAS warning: no .pak file for ${lang} (${pakfile} not found)"
- fi
- if ! use linguas_${lang}; then
- rm "${pakfile}" || die
- fi
- done
-
- insinto "${CHROMIUM_HOME}"
- doins out/Release/chrome.pak || die
- doins out/Release/resources.pak || die
-
- doins -r out/Release/locales || die
- doins -r out/Release/resources || die
-
- newman out/Release/chrome.1 chromium.1 || die
- newman out/Release/chrome.1 chromium-browser.1 || die
-
- # Chromium looks for these in its folder
- # See media_posix.cc and base_paths_linux.cc
- # TODO: uncomment when bug #371931 is fixed.
- #dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
- #dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
- #dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
- doexe out/Release/ffmpegsumo_nolink || die
- doexe out/Release/libffmpegsumo.so || die
-
- # Install icons and desktop entry.
- for SIZE in 16 22 24 32 48 64 128 256 ; do
- insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
- newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
- chromium-browser.png || die
- done
- local mime_types="text/html;text/xml;application/xhtml+xml;"
- mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
- make_desktop_entry chromium-browser "Chromium" chromium-browser \
- "Network;WebBrowser"
- "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
- sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
-
- # Install GNOME default application entry (bug #303100).
- if use gnome; then
- dodir /usr/share/gnome-control-center/default-apps || die
- insinto /usr/share/gnome-control-center/default-apps
- doins "${FILESDIR}"/chromium-browser.xml || die
- fi
-}
-
-pkg_preinst() {
- gnome2_icon_savelist
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- gnome2_icon_cache_update
-
- # For more info see bug #292201, bug #352263, bug #361859.
- elog
- elog "Depending on your desktop environment, you may need"
- elog "to install additional packages to get icons on the Downloads page."
- elog
- elog "For KDE, the required package is kde-base/oxygen-icons."
- elog
- elog "For other desktop environments, try one of the following:"
- elog " - x11-themes/gnome-icon-theme"
- elog " - x11-themes/tango-icon-theme"
-
- # For more info see bug #359153.
- elog
- elog "Some web pages may require additional fonts to display properly."
- elog "Try installing some of the following packages if some characters"
- elog "are not displayed properly:"
- elog " - media-fonts/arphicfonts"
- elog " - media-fonts/bitstream-cyberbit"
- elog " - media-fonts/droid"
- elog " - media-fonts/ipamonafont"
- elog " - media-fonts/ja-ipafonts"
- elog " - media-fonts/takao-fonts"
- elog " - media-fonts/wqy-microhei"
- elog " - media-fonts/wqy-zenhei"
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
-}
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.109.ebuild,v 1.1 2011/08/05 21:10:59 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.109.ebuild,v 1.2 2011/08/08 17:34:54 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
>=media-libs/libvpx-0.9.5
>=media-libs/libwebp-0.1.2
media-libs/speex
- cups? ( >=net-print/cups-1.3.11 )
+ cups? (
+ dev-libs/libgcrypt
+ >=net-print/cups-1.3.11
+ )
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXScrnSaver
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.15.ebuild,v 1.2 2011/08/05 21:10:59 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.15.ebuild,v 1.3 2011/08/08 17:34:54 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
>=media-libs/libwebp-0.1.2
media-libs/speex
media-sound/pulseaudio
- cups? ( >=net-print/cups-1.3.11 )
+ cups? (
+ dev-libs/libgcrypt
+ >=net-print/cups-1.3.11
+ )
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXinerama
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.18.ebuild,v 1.1 2011/08/05 23:33:53 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.18.ebuild,v 1.2 2011/08/08 17:34:54 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
>=media-libs/libwebp-0.1.2
media-libs/speex
media-sound/pulseaudio
- cups? ( >=net-print/cups-1.3.11 )
+ cups? (
+ dev-libs/libgcrypt
+ >=net-print/cups-1.3.11
+ )
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXinerama
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild,v 1.41 2011/08/05 21:10:59 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild,v 1.42 2011/08/08 17:34:54 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
>=media-libs/libwebp-0.1.2
media-libs/speex
media-sound/pulseaudio
- cups? ( >=net-print/cups-1.3.11 )
+ cups? (
+ dev-libs/libgcrypt
+ >=net-print/cups-1.3.11
+ )
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXinerama